Adobe Fixes Critical Vulnerabilities in Flash and Air SDK

July 8, 2014 | By Kevin Judge

Adobe has released security updates to address multiple critical vulnerabilities in Flash Player and Air that could allow an attacker to steal user credentials and take control of their computer. Users of Windows, Mac and Linux systems should update their Flash Player as soon as possible. Users of Windows, Mac, Android and iOS should update their AIR SDK as soon as possible.

Chrome and Microsoft’s Internet Explorer 10 (IE10) and IE11 browsers will automatically update to the latest version of Adobe Flash.

The updates are for Adobe Flash Player 14.0.0.125 and earlier versions for Windows and Macintosh and Adobe Flash Player 11.2.202.378 and earlier versions for Linux. The following Adobe fixes are available:

  • Adobe Flash Player 14.0.0.145 for Windows, Macintosh and Linux
  • Adobe Flash Player 11.2.202.394 for Linux
  • Adobe AIR 14.0.0.137 for Windows, Macintosh and Android
  • Adobe AIR SDK and Compiler 14.0.0.137 for Windows, Macintosh, Android and iOS
  • Adobe AIR SDK 14.0.0.137 for Windows, Macintosh, Android and iOS
Be Sociable, Share!

    Add new comment

    Your name
    Comment

    You may use these HTML tags and attributes: <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>